package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSSceneTilePaint;

@ObfuscatedName("ke")
public final class SceneTilePaint implements RSSceneTilePaint {
   @ObfuscatedName("at")
   @ObfuscatedGetter(
      intValue = 867907833
   )
   int swColor;
   @ObfuscatedName("ah")
   @ObfuscatedGetter(
      intValue = 1090582325
   )
   int seColor;
   @ObfuscatedName("ar")
   @ObfuscatedGetter(
      intValue = 1484128325
   )
   int neColor;
   @ObfuscatedName("ao")
   @ObfuscatedGetter(
      intValue = -932651361
   )
   int nwColor;
   @ObfuscatedName("ab")
   @ObfuscatedGetter(
      intValue = -706966471
   )
   int texture;
   @ObfuscatedName("au")
   boolean isFlat;
   @ObfuscatedName("aa")
   @ObfuscatedGetter(
      intValue = -1380493903
   )
   int rgb;
   public int rl$paintModelBufferOffset;
   public int rl$paintModelUvBufferOffset;
   public int rl$paintModelBufferLen;

   SceneTilePaint(int var1, int var2, int var3, int var4, int var5, int var6, boolean var7) {
      this.isFlat = true;
      this.swColor = var1;
      this.seColor = var2;
      this.neColor = var3;
      this.nwColor = var4;
      this.texture = var5;
      this.rgb = var6;
      this.isFlat = var7;
   }

   public int getBufferOffset() {
      return this.rl$paintModelBufferOffset;
   }

   public void setBufferOffset(int var1) {
      this.rl$paintModelBufferOffset = var1;
   }

   public int getUvBufferOffset() {
      return this.rl$paintModelUvBufferOffset;
   }

   public void setUvBufferOffset(int var1) {
      this.rl$paintModelUvBufferOffset = var1;
   }

   public int getBufferLen() {
      return this.rl$paintModelBufferLen;
   }

   public void setBufferLen(int var1) {
      this.rl$paintModelBufferLen = var1;
   }

   public int getSwColor() {
      return this.swColor;
   }

   public void setSwColor(int var1) {
      this.swColor = var1;
   }

   public int getSeColor() {
      return this.seColor;
   }

   public void setSeColor(int var1) {
      this.seColor = var1;
   }

   public int getNeColor() {
      return this.neColor;
   }

   public void setNeColor(int var1) {
      this.neColor = var1;
   }

   public int getNwColor() {
      return this.nwColor;
   }

   public void setNwColor(int var1) {
      this.nwColor = var1;
   }

   public int getTexture() {
      return this.texture;
   }

   public void setTexture(int var1) {
      this.texture = var1;
   }

   public boolean getIsFlat() {
      return this.isFlat;
   }

   public void setIsFlat(boolean var1) {
      this.isFlat = var1;
   }

   public int getRBG() {
      return this.rgb;
   }

   public void setRBG(int var1) {
      this.rgb = var1;
   }

   @ObfuscatedName("au")
   @ObfuscatedSignature(
      descriptor = "(IZB)Ljava/lang/String;",
      garbageValue = "12"
   )
   public static String intToString_base(int var0, boolean var1) {
      return var1 && var0 >= 0?Players.method2793_base(var0, 10, var1):Integer.toString(var0);
   }
}
